---
jupytext:
  notebook_metadata_filter: semantic
  text_representation:
    extension: .md
    format_name: myst
    format_version: 0.13
    jupytext_version: 1.15.1
kernelspec:
  display_name: C++17
  language: C++17
  name: xcpp17
semantic:
  programming_language:
    wikidata: Q2407
  subjects:
  - smglom:computing?loops
  - wikidata: Q8868615
  - didactic_role: initiation
---

+++ {"deletable": false, "editable": false, "nbgrader": {"cell_type": "markdown", "checksum": "2e4b98b62671ffb9894c02229684a076", "grade": false, "grade_id": "cell-fc82dd31f240c228", "locked": true, "schema_version": 3, "solution": false, "task": false}}

# Laby, niveau 2a: Que c'est loin ...

Affichez le labyrinthe suivant. Simple pas vrai ? Mais bien répétitif, non?

Le but du jeu ici est d'écrire un programme court en utilisant une boucle `while` (tant que ... faire ...) qui dit à la fourmi d'avancer tant que la case devant lui est vide. On vous a fourni un squelette à compléter.

[Niveau précédent](1c.md), <!--[Liste des niveaux](index.md#ListeDesNiveaux), !-->[Niveau suivant](2b.md), [Documentation](0b.md#Documentation)

```{code-cell}
---
deletable: false
editable: false
nbgrader:
  cell_type: code
  checksum: 642a2e71333059b75c7be047efd4604d
  grade: false
  grade_id: cell-722c555cef517670
  locked: true
  schema_version: 3
  solution: false
  task: false
---
#include <laby/global_fr.hpp>
LABY("2a")
```

```{code-cell}
---
deletable: false
nbgrader:
  cell_type: code
  checksum: 542df403e0a6c814b3efdaeb6e952889
  grade: false
  grade_id: cell-bbdbb680e7dea70c
  locked: false
  schema_version: 3
  solution: true
  task: false
---
debut();
while ( regarde() == Vide ) {
    // REMPLACER CETTE LIGNE ET LA SUIVANTE PAR VOTRE RÉPONSE
    throw std::runtime_error("À faire");
}
// REMPLACER CETTE LIGNE PAR VOTRE RÉPONSE
```

```{code-cell}
---
deletable: false
editable: false
nbgrader:
  cell_type: code
  checksum: 27c05f167d296de1458e6ecf445c1165
  grade: true
  grade_id: cell-0eaf06d9ab2d30a5
  locked: true
  points: 1
  schema_version: 3
  solution: false
  task: false
---
CHECK( a_gagne() );
```

